/*
 * The SmartWeb Framework
 * Copyright (C) 2004-2006
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 *
 * For further informations on the SmartWeb Framework please visit
 *
 *                        http://smartweb.sourceforge.net
 */
 
package net.smartlab.web.registry;


/**
 * TODO documentation
 * @author rlogiacco
 * @hibernate.joined-subclass schema="registry" table="`hashcode`"
 * @hibernate.joined-subclass-key column="`id`"
 */
public class GenericDeduplicationCode extends DeduplicationCode {

	private int length;
	private String firstname;
	private String lastname;
	private String city;
	private String street;
	private String zipCode;
	private String civic;

	/**
	 * TODO documentation 
	 * @return returns the <code>length</code>.
	 * @hibernate.property column="`length`"
	 */
	public int getLength() {
		return length;
	}
	/**
	 * TODO documentation 
	 * @param length the <code>length</code> to set.
	 */
	public void setLength(int length) {
		this.length = length;
	}
	/**
	 * TODO documentation
	 * @return returns the city.
	 * @hibernate.property column="`city`" length="6"
	 */
	public String getCity() {
		return city;
	}

	/**
	 * TODO documentation
	 * @param city the city to set.
	 */
	public void setCity(String city) {
		this.city = city;
	}

	/**
	 * TODO documentation
	 * @return returns the civic.
	 * @hibernate.property column="`civic`" length="6"
	 */
	public String getCivic() {
		return civic;
	}

	/**
	 * TODO documentation
	 * @param civic the civic to set.
	 */
	public void setCivic(String civic) {
		this.civic = civic;
	}

	/**
	 * TODO documentation
	 * @return returns the firstname.
	 * @hibernate.property column="`firstname`" length="4"
	 */
	public String getFirstname() {
		return firstname;
	}

	/**
	 * TODO documentation
	 * @param firstname the firstname to set.
	 */
	public void setFirstname(String firstname) {
		this.firstname = firstname;
	}

	/**
	 * TODO documentation
	 * @return returns the lastname.
	 * @hibernate.property column="`lastname`" length="4"
	 */
	public String getLastname() {
		return lastname;
	}

	/**
	 * TODO documentation
	 * @param lastname the lastname to set.
	 */
	public void setLastname(String lastname) {
		this.lastname = lastname;
	}

	/**
	 * TODO documentation
	 * @return returns the street.
	 * @hibernate.property column="`street`" length="4"
	 */
	public String getStreet() {
		return street;
	}

	/**
	 * TODO documentation
	 * @param street the street to set.
	 */
	public void setStreet(String street) {
		this.street = street;
	}

	/**
	 * TODO documentation
	 * @return returns the zipCode.
	 * @hibernate.property column="`zipCode`" length="10"
	 */
	public String getZipCode() {
		return zipCode;
	}

	/**
	 * TODO documentation
	 * @param zipCode the zipCode to set.
	 */
	public void setZipCode(String zipCode) {
		this.zipCode = zipCode;
	}
}