/*
 * The SmartWeb Framework
 * Copyright (C) 2004-2006
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 *
 * For further informations on the SmartWeb Framework please visit
 *
 *                        http://smartweb.sourceforge.net
 */
 
package net.smartlab.web.registry;


/**
 * TODO documentation 
 * @author rlogiacco
 * @hibernate.class schema="registry" table="`dedup`"
 */
public abstract class DeduplicationCode {
	private long id;
	/**
	 * @clientCardinality 0..*
	 * @supplierCardinality 1
	 */

	private Entity entity;

	/**
	 * TODO documentation 
	 * @return
	 * @hibernate.id column="`id`" unsaved-value="0" generator-class="native"
	 */
	public long getId() {
		return id;
	}

	/**
	 * TODO documentation 
	 * @param id
	 */
	public void setId(long id) {
		this.id = id;
	}

	/**
	 * TODO documentation 
	 * @return
	 * @hibernate.many-to-one column="`entity`" 
	 */
	public Entity getEntity() {
		return entity;
	}

	/**
	 * TODO documentation 
	 * @param entity
	 */
	public void setEntity(Entity entity) {
		this.entity = entity;
	}
}